com.sun.tdk.specdiff.html.dom

## Class ContextNode

- java.lang.Object
- - org.outerj.daisy.diff.html.dom.Node
  - - org.outerj.daisy.diff.html.dom.TextNode
    - - com.sun.tdk.specdiff.html.dom.ParentDependentTextNode
      - - com.sun.tdk.specdiff.html.dom.ContextNode

- All Implemented Interfaces:
    java.lang.Cloneable

      public class ContextNode
      extends ParentDependentTextNode

  Represents a context in HTML. Context tag doesn't contain any text but it is single visible object on the page.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `END_CONTEXT_ATTR`
    `static java.lang.String` | `RENAMED_FROM`
    `static java.lang.String` | `REVISED_CONTEXT_ATTR`
    `static java.lang.String` | `START_CONTEXT_ATTR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContextNode(org.outerj.daisy.diff.html.dom.TagNode parent, boolean open)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.outerj.daisy.diff.html.dom.Node` | `copyTree()`
    `java.lang.String` | `getContextId()`
    `static java.lang.String` | `getContextId(boolean open, org.xml.sax.Attributes attrs)`
    `java.lang.String` | `getNormalizedString()` Returns normalized string
    `boolean` | `isSameText(java.lang.Object other)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.sun.tdk.specdiff.html.dom.ParentDependentTextNode

      `addAttribute, getAttribute, getAttributes, getEffectiveParent, isOpen, removeAttribute, setAttribute`

    - ### Methods inherited from class org.outerj.daisy.diff.html.dom.TextNode

      `getLeftMostChild, getMinimalDeletedSet, getModification, getRightMostChild, getText, setModification, setText, toString2`

    - ### Methods inherited from class org.outerj.daisy.diff.html.dom.Node

      `detectIgnorableWhiteSpace, equals, getEffectiveIndex, getEffectiveParentTree, getLastCommonParent, getParent, getParentTree, inPre, isWhiteAfter, isWhiteBefore, setParent, setWhiteAfter, setWhiteBefore`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### START_CONTEXT_ATTR

          public static final java.lang.String START_CONTEXT_ATTR

      See Also:
        Constant Field Values

    - #### END_CONTEXT_ATTR

          public static final java.lang.String END_CONTEXT_ATTR

      See Also:
        Constant Field Values

    - #### RENAMED_FROM

          public static final java.lang.String RENAMED_FROM

      See Also:
        Constant Field Values

    - #### REVISED_CONTEXT_ATTR

          public static final java.lang.String REVISED_CONTEXT_ATTR

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ContextNode

          public ContextNode(org.outerj.daisy.diff.html.dom.TagNode parent,
                             boolean open)

  - ### Method Detail

    - #### getNormalizedString

          public java.lang.String getNormalizedString()

      Description copied from class: `org.outerj.daisy.diff.html.dom.TextNode`
      Returns normalized string
      Overrides:
        `getNormalizedString` in class `org.outerj.daisy.diff.html.dom.TextNode`
      Returns:
        non-NULL string

    - #### copyTree

          public org.outerj.daisy.diff.html.dom.Node copyTree()

      Overrides:
        `copyTree` in class `org.outerj.daisy.diff.html.dom.TextNode`

    - #### isSameText

          public boolean isSameText(java.lang.Object other)

      Overrides:
        `isSameText` in class `org.outerj.daisy.diff.html.dom.TextNode`

    - #### getContextId

          public java.lang.String getContextId()

    - #### getContextId

          public static java.lang.String getContextId(boolean open,
                                                      org.xml.sax.Attributes attrs)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `org.outerj.daisy.diff.html.dom.TextNode`